Get all orders

Retrieves the details of all the orders for specified search criteria.
Value of nextCursor to be used as query parameter for getting next set of purchase orders, when more than 200 orders are retrieved.
For Ex: If the nextCursor value is ?limit=10&soIndex=2&poIndex=2&, then in order to get next set of records , call by appending the nextCursor value in request URL /v3/ca/orders?limit=10&soIndex=2&poIndex=2&.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A seller-provided Product ID

string

The customer order ID

string

The purchase order ID. One customer may have multiple purchase orders.

string

Status may be specified to return orders of that type. Valid statuses are: Created, Acknowledged, Shipped, and Cancelled.

string
required

Start Date for querying all purchase orders after that date. Use one of the following formats, based on UTC, ISO 8601. Date example: '2013-08-16' Timestamp example: '2013-08-16T10:30:15Z'

string

Limits orders returned to those created before this createdEndDate. Two formats, based on ISO 8601, are allowed: UTC date or timestamp. Examples: '2016-08-16T10:30:30.155Z' or '2016-08-16'.

string

Limits orders returned to those that have orderLines with an expected ship date after this fromExpectedShipDate. Format: YYYY-MM-DD

string

Limits orders returned to those that have orderLines with an expected ship date before this toExpectedShipDate. Format: YYYY-MM-DD

string

The number of orders to be returned.Cannot be larger than 200.

string

Provides the image URL and product weight in response, if available. This parameter must be boolean, e.g.: productInfo=true.

Headers
string
required

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

string
required

A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID

string
required

Walmart Service Name

string
required

The Epoch timestamp

string
required

The vendor's digital signature, generated by running the JAR file or custom generation code

string
required

A unique ID required to access the API

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml